Bug 239291 - PHP overflow: CVE-2007-1380
PHP overflow: CVE-2007-1380
Status: CLOSED DUPLICATE of bug 240157
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 09:30 EDT by paul boin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 11:36:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paul boin 2007-05-07 09:30:33 EDT
The php_binary serialization handler in the session extension in PHP before
4.4.5, and 5.x before 5.2.1, allows context-dependent attackers to obtain
sensitive information (memory contents) via a serialized variable entry with a
large length value, which triggers a buffer over-read.

    * MILW0RM:3413
    * URL:http://www.milw0rm.com/exploits/3413
    * MISC:http://www.php-security.org/MOPB/MOPB-10-2007.html
    * DEBIAN:DSA-1282
    * URL:http://www.debian.org/security/2007/dsa-1282
    * DEBIAN:DSA-1283
    * URL:http://www.debian.org/security/2007/dsa-1283
    * GENTOO:GLSA-200703-21
    * URL:http://security.gentoo.org/glsa/glsa-200703-21.xml
    * SUSE:SUSE-SA:2007:020
    * URL:http://lists.suse.com/archive/suse-security-announce/2007-Mar/0003.html
    * UBUNTU:USN-455-1
    * URL:http://www.ubuntu.com/usn/usn-455-1
    * BID:22805
    * URL:http://www.securityfocus.com/bid/22805
    * SECUNIA:24514
    * URL:http://secunia.com/advisories/24514
    * SECUNIA:24606
    * URL:http://secunia.com/advisories/24606
    * SECUNIA:25025
    * URL:http://secunia.com/advisories/25025
    * SECUNIA:25062
    * URL:http://secunia.com/advisories/25062
Comment 1 paul boin 2007-05-07 10:37:45 EDT
This bug is further documented in the "Month of PHP Bugs".  

The MOPB comment #9 in bug #230556 indicates that this bug should be fixed in
#228858, but I see no reference to it over there.  

http://www.php-security.org/MOPB/MOPB-10-2007.html
Comment 2 Joe Orton 2007-05-15 11:36:11 EDT
Thanks for the report.  The issue were fixed under the guies of CVE-2007-0906 -
CVE-2007-1380 was allocated later, once more specific details about the issues
covered in CVE-2007-0906 were available.   The advisories have been updated to
reference the new CVE name:

http://rhn.redhat.com/errata/CVE-2007-1380.html

*** This bug has been marked as a duplicate of 240157 ***

Note You need to log in before you can comment on or make changes to this bug.